Bug 498613 - db-control permission error
db-control permission error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
na
:
Depends On:
Blocks: 456985 486216
  Show dependency treegraph
 
Reported: 2009-05-01 09:55 EDT by wes hayutin
Modified: 2009-09-10 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-05-01 09:55:20 EDT
Description of problem:

4/24.1 sat rhel 5
root@grandprix audit]# getenforce 
Permissive
[root@grandprix audit]# su - oracle
-bash-3.2$ db-control 
Can't open config file '/etc/rhn/default/rhn_web.conf': Permission denied at /usr/lib/perl5/vendor_perl/5.8.8/PXT/Config.pm line 70.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/Dobby/DB.pm line 18.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/Dobby/DB.pm line 18.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/Dobby/CLI/MiscCommands.pm line 21.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/Dobby/CLI/MiscCommands.pm line 21.
Compilation failed in require at /usr/bin/db-control line 11.
BEGIN failed--compilation aborted at /usr/bin/db-control line 11.


tried on two different sat servers..
Comment 1 Brandon Perkins 2009-05-03 17:31:13 EDT
Can you provide an ls -l /etc/rhn/default/rhn_web.conf ?  It *should* be similar to:

-rw-r-----  1 root apache 12014 Mar  2 15:56 /etc/rhn/default/rhn_web.conf

Also, can you do a rpm -V [pxt-package] (I don't remember what it was renamed to).  As I don't believe there should be any modifications.
Comment 2 Jeff Browning 2009-05-04 10:23:07 EDT
[root@rlx-0-06 ~]# ls -l /etc/rhn/default/rhn_web.conf
-rw-r----- 1 root apache 9851 Apr 23 21:47 /etc/rhn/default/rhn_web.conf

[root@rlx-0-06 ~]# rpm -V spacewalk-pxt
[root@rlx-0-06 ~]# rpm -q spacewalk-pxt
spacewalk-pxt-0.5.23-10.el5sat
Comment 3 Justin Sherrill 2009-05-06 10:27:15 EDT
This should be fixed from jan's commit c1af7581b62d20e307779cdd4ccd570b9bb08a41

from bug 391771
Comment 4 wes hayutin 2009-05-21 14:18:30 EDT
[root@riverraid ~]# su - oracle
-bash-3.2$ db-control report
Tablespace                  Size    Used   Avail   Use%
DATA_TBS                    3.9G    1.1G    2.8G    28%
SYSAUX                      500M   64.3M  435.6M    13%
SYSTEM                      400M  241.6M  158.3M    60%
UNDO_TBS                    500M  449.6M   50.3M    90%
USERS                       128M     64K  127.9M     0%

verified 5/20
Comment 5 Miroslav Suchý 2009-08-24 07:21:32 EDT
verified in stage on xen5
Comment 6 Brandon Perkins 2009-09-10 14:15:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.